using DinerContracts.BindingModels;
using DinerContracts.SearchModels;
using DinerContracts.ViewModels;

namespace DinerContracts.BusinessLogicsContracts
{
	public interface IImplementerLogic
	{
		List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);

		ImplementerViewModel? ReadElement(ImplementerSearchModel model);

		bool Create(ImplementerBindingModel model);

		bool Update(ImplementerBindingModel model);

		bool Delete(ImplementerBindingModel model);
	}
}
